Package org.bukkit.attribute

# Enum Class AttributeModifier.Operation

java.lang.Object
java.lang.Enum<AttributeModifier.Operation>
org.bukkit.attribute.AttributeModifier.Operation

All Implemented Interfaces:
  `Serializable`, `Comparable<AttributeModifier.Operation>`, `Constable`

Enclosing class:
  AttributeModifier

public static enum AttributeModifier.Operation extends Enum<AttributeModifier.Operation>
Enumerable operation to be applied.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADD_NUMBER`
Adds (or subtracts) the specified amount to the base value.
`ADD_SCALAR`
Adds this scalar of amount to the base value.
`MULTIPLY_SCALAR_1`
Multiply amount by this value, after adding 1 to it.

## Method Summary

Modifier and Type
Method
Description
`static AttributeModifier.Operation`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AttributeModifier.Operation[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ADD_NUMBER

public static final AttributeModifier.Operation ADD_NUMBER
Adds (or subtracts) the specified amount to the base value.

### ADD_SCALAR

public static final AttributeModifier.Operation ADD_SCALAR
Adds this scalar of amount to the base value.

### MULTIPLY_SCALAR_1

public static final AttributeModifier.Operation MULTIPLY_SCALAR_1
Multiply amount by this value, after adding 1 to it.

## Method Details

### values

public static AttributeModifier.Operation[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AttributeModifier.Operation valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null